using Microsoft.EntityFrameworkCore.Migrations;

namespace GreenTree.Strohrmann.ERP.Domain.Migrations
{
    public partial class EmployeeDegree_Seed : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.InsertData(
                table: "EmployeeDegrees",
                columns: new[] { "Id", "Name", "Order", "Value" },
                values: new object[] { 1, "Meister", 3, 60m });

            migrationBuilder.InsertData(
                table: "EmployeeDegrees",
                columns: new[] { "Id", "Name", "Order", "Value" },
                values: new object[] { 2, "Geselle", 2, 30m });

            migrationBuilder.InsertData(
                table: "EmployeeDegrees",
                columns: new[] { "Id", "Name", "Order", "Value" },
                values: new object[] { 3, "Aushilfe", 1, 15m });
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DeleteData(
                table: "EmployeeDegrees",
                keyColumn: "Id",
                keyValue: 1);

            migrationBuilder.DeleteData(
                table: "EmployeeDegrees",
                keyColumn: "Id",
                keyValue: 2);

            migrationBuilder.DeleteData(
                table: "EmployeeDegrees",
                keyColumn: "Id",
                keyValue: 3);
        }
    }
}
